Download it now!
Bug 128739 - CRASH: working with fields
Summary: CRASH: working with fields
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-11-12 10:24 UTC by Xisco Faulí
Modified: 2019-12-02 06:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt Windows (windbg) (87.66 KB, text/plain)
2019-11-12 13:07 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-11-12 10:24:22 UTC
Steps to reproduce:
1. Open attachment 137846 [details] from bug 112797
2. Select all
3. Cut
4. Paste
5. Undo

-> Crash

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: fea5c10e222b10d83e0081dc1d1b2e678689d250
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by mass-uitesting]
Comment 2 Xisco Faulí 2019-11-12 10:27:10 UTC
Also reproduced with attachment 128376 [details] from bug 103278
Comment 3 Julien Nabet 2019-11-12 13:07:30 UTC
Created attachment 155741 [details]
bt Windows (windbg)

On Win10 with master sources updated today, I could reproduce this.
Comment 4 Julien Nabet 2019-11-12 13:17:49 UTC
There were also those console logs:
warn:sfx.dialog:9644:10988:sfx2/source/dialog/filtergrouping.cxx:351: already have an element for WordPerfect
warn:sfx.dialog:9644:10988:sfx2/source/dialog/filtergrouping.cxx:351: already have an element for writerweb8_writer_template
warn:sfx.dialog:9644:10988:sfx2/source/dialog/filtergrouping.cxx:351: already have an element for writerglobal8
warn:vcl.opengl:9644:10988:vcl/opengl/win/gdiimpl.cxx:554: Render Target: Window: 1, Bitmap: 0
warn:vcl.opengl:9644:10988:vcl/opengl/win/gdiimpl.cxx:555: Supports OpenGL: 1
warn:legacy.osl:9644:10988:oox/source/helper/storagebase.cxx:67: StorageBase::StorageBase - missing base input stream
warn:legacy.tools:9644:10988:sfx2/source/control/bindings.cxx:1739: No cache for OfficeDispatch!
Assertion failed: ret, file C:/BLP/core/sw/source/core/crsr/bookmrk.cxx, line 110
Comment 5 Commit Notification 2019-11-18 16:37:46 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/24fd14b387dca458a1b6e9415e936d26562ddb1e

tdf#128739 sw: delete fieldmarks if exactly selected ...

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-11-18 16:37:55 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/83edee3009240a3c26271b8de2450eed3e5acf97

tdf#128739 sw: don't delete bookmarks prematurely in SwUndoDelete

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Stahl (CIB) 2019-11-18 16:40:07 UTC
fixed on master
Comment 8 Commit Notification 2019-11-19 15:08:53 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1140dae89387b2012bfba6e97c6475cf39cf101b

tdf#128739 sw: delete fieldmarks if exactly selected ...

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-11-19 15:09:05 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/cddd1cae07ade16d1700c48d42e36c938cc01823

tdf#128739 sw: don't delete bookmarks prematurely in SwUndoDelete

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-11-20 14:32:11 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: d468958331f36310d11265ba55d7c27366ab58ab
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael S., thanks for fixing this issue!
Comment 11 artur 2019-12-02 06:06:41 UTC
UI test in https://gerrit.libreoffice.org/#/c/84054/